<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
JsDir("cerrar.php");	
return;
}
//
$StrId=V($_POST['TxtId']);
$StrCmd=V($_POST['TxtAc']);
//-------------------------
$StrEmp=V($_POST['CboEmp']);	
$StrAlm=V($_POST['CboAlm']);		
$StrTde=V($_POST['CboTde']);		
$StrDex=V($_POST['TxtDex']);
$StrHax=V($_POST['TxtHax']);		
//
if(strlen($StrEmp)==0)$StrEmp=GE("S");
//echo "E:".$StrEmp."<br>";
if(strlen($StrAlm)==0)$StrAlm=GA($StrEmp,"S");
//echo "A:".$StrAlm."<br>";

$StrEmp_=LIKE($StrEmp);
$StrAlm_=LIKE($StrAlm);
$StrDex_=val_dex($StrDex);
$StrHax_=val_hax($StrDex);
//
$FF="ID>0 AND EMPC LIKE '$StrEmp_' AND ALMC LIKE '$StrAlm_' AND 
	 FEC>='$StrDex_' AND FEC<='$StrHax_'";
//
$LStrTR=gn("count(*)","vcaja",$FF);
$LStrPag=V($_POST['TxtPag']);	
if($StrCmd=="F"){$LStrPag="1";}
$VP_RegXPag=18;	
$LStrPag=PagGet($LStrPag,$StrCmd,$LStrTR,$VP_RegXPag);
$TI=0;
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Caja chica Buscar</title>
<!--CSS_NEW------------------------------------->
<link rel="stylesheet" type="text/css" href="estiloss.css"  />
<link rel="stylesheet" type="text/css" href="basic.css"  />
<!--CSS_NEW------------------------------------->
<?php AddJs();?>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script>
$(document).ready(function(){
	$("#TxtDex").mask("99-99-99");
	$("#TxtHax").mask("99-99-99");
	jF("CboEmp");
});
function EM_OC(){	
	var Emp=gv("CboEmp");	
	var r=AX("03",Emp);
	if(r=="X"){
		CBO_CLS("CboAlm",1);
	}else{
		CBO_FILL("CboAlm",r,0);
	}
}
</script>
<link rel="stylesheet" type="text/css" href="basic.css"  />
<style type="text/css">
<!--
body {
	background-color: #CCC;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:800px;
	height:600px;
	position:absolute;
	left:<?php echo "50%";?>;
	top:<?php echo "50%";?>;
	background-color:#006699;
	margin:<?php echo "-300px";?> 0 0 <?php echo "-400px";?>;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.x5 {color: #000000}

-->
</style>

</head>
<body  <?php echo $StrMsg;?>>
<form id="Frm" name="Frm" method="post" action="caja_buscar.php">
<center> 
<div Id="DivFRM"  class="centrarFrm" >
<div id="layer5" style="position:absolute; left: 116px; top: 50px; width: 85px; height: 28px;">
<div align="left" class="f2">
<input name="CmdV" type="button" id="CmdV" 
value="Volver" onclick="fVolver('caja_chica.php');" />
<input type="hidden" name="TxtAc" id="TxtAc" />
</div>
</div>

<div id="layer3" style="position:absolute; left: 30px; top: 147px; width: 735px; height: 428px; overflow:auto">
<div align="left" class="f2">
<table width="719" height="19" border="1" cellpadding="0" cellspacing="0">

<tr  >
<td height="18" colspan="7" bgcolor="#666666" align="center"><?php echo PagBtn($LStrTR,$VP_RegXPag,$LStrPag);?></td>
</tr>

<tr>
<td width="80" bgcolor="#999999"><span class="x4">FECHA</span></td>
<td width="128" bgcolor="#999999"><span class="x4">EMPRESA</span></td>
<td width="128" bgcolor="#999999"><span class="x4">ALMACEN</span></td>
<td width="126" bgcolor="#999999"><span class="x4">TIPO</span></td>
<td width="250" bgcolor="#999999"><span class="x4">OBS</span></td>
<td width="58" bgcolor="#999999" 
style="text-align:right"><span class="x4">TOTAL</span></td>
<td width="26" bgcolor="#999999">&nbsp;</td>
</tr>

<?php	
$TOTAL=0; 		
$s="SELECT ID,DATE_FORMAT(FEC,'%d-%m-%y'),ALMC,'CAJA' as TDI,
	OBS,TOT,EMPC 
	FROM vcaja
	WHERE  $FF ORDER BY FEC,ALM";
//echo $s;
$s=PagSql($s,$LStrPag,$VP_RegXPag,$LStrTR);	  				
$X1="<td bgcolor=\"#FFFFFF\"><span class=\"x5\">";
$X2="</span></td>";
$result = grs($s);				
while ($row = $result->fetch_row()){
	echo "<tr 
	ondblclick=\"location.href='caja_chica.php?Id=$row[0]&Pag=0';\">";
	echo "<td bgcolor=\"#FFFFFF\">
	<span class=\"x5\">$row[1]</span></td>";
	echo "<td bgcolor=\"#FFFFFF\">
	<span class=\"x5\">$row[6]</span></td>";
	echo "<td bgcolor=\"#FFFFFF\">
	<span class=\"x5\">$row[2]</span></td>";
	echo "<td bgcolor=\"#FFFFFF\">
	<span class=\"x5\">$row[3]</span></td>";
	echo "<td bgcolor=\"#FFFFFF\">
	<span class=\"x5\">$row[4]</span></td>";
	echo "<td bgcolor=\"#FFFFFF\">
	<span class=\"x5\">$row[5]</span></td>";						 
	echo "<td bgcolor=\"#FFFFFF\" align=\"center\">
	<a href=\"caja_chica.php?Id=$row[0]&Pag=0\" >
	<img src=\"img/b_edit.png\"  border=\"0\"/>
	</a>
	</td>";
	echo "</tr>";
$TOTAL=$TOTAL + $row[5];
}

?>	
</table>
</div>
</div>
<div id="layer" style="position:absolute; left: 116px; top: 30px; width: 622px; height: 20px;">
<div align="left" class="Estilo1">CAJ
<input type="hidden" name="TxtPag" id="TxtPag" value="<?php echo $LStrPag;?>" />
<input name="FEC_SERVER" type="hidden" id="FEC_SERVER" value="<?php echo date("d-m-y");?>"/>  
A CHICA - BUSCAR</div>
</div>
<div id="LblTit" style="position:absolute; left: 57px; top: 25px; width: 64px;">
<div align="left" class="Estilo1"><img src="img/buscar.png" width="57" height="60" /></div>
</div>	


<div style="position:absolute; left:29px; top: 102px; width: 102px;">
<div align="left" class="f2">EMPRESA</div>
</div>
<select name="CboEmp" id="CboEmp" 
style="position:absolute; left:29px; top:117px; width: 185px;" 
onchange="EM_OC();"
onkeydown="return SoloTextoEx(event,'CboAlm');" tabindex="<?php echo ++$TI;?>">
<?php 
	echo LE($StrEmp,"S","N"); 
?>
</select>

<div style="position:absolute; left: 236px; top: 102px; width: 102px;">
<div align="left" class="f2">ALMACEN</div>
</div>
<select name="CboAlm" id="CboAlm"
style="position:absolute; left: 235px; top: 117px; width: 227px;" 
onkeydown="return SoloTextoEx(event,'TxtDex');" tabindex="<?php echo ++$TI;?>">
<?php
	echo LA($StrEmp,$StrAlm,"S","N");
?>
</select>


<div style="position:absolute; left: 477px; top: 86px; width: 45px;">
<div align="left" class="f2">DESDE</div>
</div>
<div class="EV" style="position:absolute; left: 475px; top: 100px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtDex')">(dd-mm-yy) +</a></u></div>
<input name="TxtDex" type="text" id="TxtDex" 
style="position:absolute; left: 475px; top: 117px; width: 73px;" 
value="<?php echo $StrDex;?>"  
onkeydown="return SoloFec(this,event,'TxtHax');"
tabindex="<?php echo ++$TI;?>" />
    
<div style="position:absolute; left: 566px; top: 86px; width: 66px;">
<div align="left" class="f2">HASTA</div>
</div>
<div class="EV" style="position:absolute; left: 564px; top: 100px; width: 88px; color:#FF0"><u><a onclick="fFecServer('TxtHax')">(dd-mm-yy) +</a></u></div>
<input name="TxtHax" type="text" id="TxtHax" 
style="position:absolute; left: 563px; top: 117px; width: 73px;" 
value="<?php echo $StrHax;?>"  
onkeydown="return SoloFec(this,event,'CmdB');"
tabindex="<?php echo ++$TI;?>" />

<input name="CmdB" type="button" style="position:absolute; left: 648px; top: 117px; width: 57px;"
id="CmdB" value="Filtrar" onclick="fFiltrar();" />


</div>
</center>	
</form>
</body>
</html>
